IPSW-ENT(1)

NAME
ipsw-ent - Manage and search entitlements in SQLite database

SYNOPSIS
ipsw ent [flags]

DESCRIPTION
Manage and search entitlements in SQLite database

OPTIONS
--db=""
    Path to SQLite database

-f, --file=""
    Search for file path pattern

--file-only[=false]
    Only output file paths

-h, --help[=false]
    help for ent

--input=[]
    Folders of MachOs to analyze

--ipsw=[]
    IPSWs to process

-k, --key=""
    Search for entitlement key pattern

--limit=100
    Limit number of results

--stats[=false]
    Show database statistics

-v, --value=""
    Search for entitlement value pattern

--version=""
    Filter by iOS version

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Create SQLite database from IPSW
    ❯ ipsw ent --db entitlements.db --ipsw iPhone16,1_18.2_22C150_Restore.ipsw
    # Create database from multiple IPSWs
    ❯ ipsw ent --db entitlements.db --ipsw *.ipsw
    # Search for entitlement key
    ❯ ipsw ent --db entitlements.db --key platform-application
    # Search for entitlement value
    ❯ ipsw ent --db entitlements.db --value LockdownMode
    # Search for specific file
    ❯ ipsw ent --db entitlements.db --file WebContent
    # Filter by iOS version and search
    ❯ ipsw ent --db entitlements.db --version 18.2 --key sandbox
    # Show database statistics
    ❯ ipsw ent --db entitlements.db --stats
    # GitHub Action usage (for automation)
    ❯ ipsw ent --db www/static/db/ipsw.db --ipsw latest.ipsw

SEE ALSO
ipsw(1)

HISTORY
10-Jun-2025 Auto generated by spf13/cobra